org.apache.cassandra.db

## Class Slices.Serializer

- java.lang.Object
- - org.apache.cassandra.db.Slices.Serializer

Enclosing class:
  Slices

    public static class Slices.Serializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Slices` `deserialize(DataInputPlus in, int version, CFMetaData metadata)`
`void` `serialize(Slices slices, DataOutputPlus out, int version)`
`long` `serializedSize(Slices slices, int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(Slices slices,
                          DataOutputPlus out,
                          int version)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(Slices slices,
                               int version)

#### deserialize

    public Slices deserialize(DataInputPlus in,
                              int version,
                              CFMetaData metadata)
                       throws java.io.IOException

Throws:
  `java.io.IOException`